import adts.*;

/**
 * Programa de prueba de operaciones con grafos
 */
public class PruebaHechaEnClase
{
    public static void main (String[] args) {
        
        Grafo<String, Double> g= new GrafoAdyacencia<String, Double>();
        
        g.nuevaArista("V1","V2",1.0);
        g.nuevaArista("V1","V5",1.0);
        g.nuevaArista("V1","V7",1.0);
        g.nuevaArista("V2","V3",1.0);
        g.nuevaArista("V2","V4",1.0);
        g.nuevaArista("V5","V6",1.0);
        g.nuevaArista("V6","V9",1.0);
        g.nuevaArista("V7","V6",1.0);
        g.nuevaArista("V7","V8",1.0);
        g.nuevaArista("V8","V9",1.0);

        OperacionesEnGrafos.muestra(g);
        System.out.println();
        System.out.println("Todo el grafo en profundidad");
        OperacionesEnGrafos.muestraEnProfundidad(g);
    }
}