import adts.*;

/**
 * Programa de prueba
 * 
 */
public class PruebaBusqueda
{
    public static void main (String[] args) {
        // ejemplo de la figura 14.18
        
        Grafo<String, Double> g= new GrafoAdyacencia<String, Double>();
        
        g.nuevaArista("V2","V0",1.0);
        g.nuevaArista("V2","V5",1.0);
        g.nuevaArista("V0","V3",1.0);
        g.nuevaArista("V0","V1",1.0);
        g.nuevaArista("V2","V3",1.0);
        g.nuevaArista("V3","V5",1.0);
        g.nuevaArista("V3","V6",1.0);
        g.nuevaArista("V3","V4",1.0);
        g.nuevaArista("V1","V3",1.0);
        g.nuevaArista("V1","V4",1.0);
        g.nuevaArista("V4","V6",1.0);
        g.nuevaArista("V6","V5",1.0);

        OperacionesEnGrafos.muestra(g);
        System.out.println();
        OperacionesEnGrafos.muestraEnProfundidad(g);
        
        System.out.println();
        Grafo<String,Double> tr=OperacionesEnGrafos.traspuesto(g);
        OperacionesEnGrafos.muestra(tr);
        System.out.println();
        OperacionesEnGrafos.muestraEnProfundidad(tr);
        
    }
}
